0

Is it possible my magento 2.1.6 to magento 2.1.0 because my magento theme only support max version magento 2.1.0 that's why my theme products and some pages css and js not working and also every time run the deploy command it shows 12 errors. Any one let me help I tried that magento 2.1.6 to 2.1.0 it is shows some errors.

  • How's the errors look like? And, it it possible to upgrade the theme first? I don't recommend you to downgrade Magento version. – PY Yick Jun 29 '17 at 8:29
  • I m not interest to downgrade but in magento 2.1.6 the theme css and js not working properly I try to install patch file but it is not installing. Then I find the theme in themeforest what version it magento support it shows magento 1.9.0.0 to 2.1.0 only that's why I downgrade. The error is [Exception] Warning: file_get_contents(/home/auzmind/public_html/var/di/setup.ser): fai led to open stream: No such file or directory in /home/auzmind/public_html/ vendor/magento/framework/App/ObjectManager/ConfigLoader/Compiled.php on line 28 – Velu Jun 29 '17 at 8:58
0

I'd rather fix the theme. I don't think Magento supports downgrading currently. You can try to change the composer required version and then run composer update. Maybe it works? I wouldn't bet on it though.

composer require magento/product-enterprise-edition 2.1.0 --no-update

composer update

  • This is I am tryed to downgrade it is update successfully but it shows error [Exception] Warning: file_get_contents(/home/auzmind/public_html/var/di/setup.ser): fai led to open stream: No such file or directory in /home/auzmind/public_html/ vendor/magento/framework/App/ObjectManager/ConfigLoader/Compiled.php on lin e 28 – Velu Jun 29 '17 at 9:00
  • did you recompile di? bin/magento setup:di:compile – steros Jun 29 '17 at 9:07
  • yes tried all commands both upgrade and static-content:deploy commands only shows error – Velu Jun 29 '17 at 9:32
  • you need to get your information straight or you won't get any help. post all information, errors and such. – steros Jun 29 '17 at 9:38
  • How about remove var/di folder then re-run bin/magento setup:di:compile? – PY Yick Jun 29 '17 at 10:17

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.